Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

The patch adds logging to MailHandler.create_user_from_email to report the reason if a user model cannot be created.

A "popular" reason appears to be that first/lastname limit is hit, so this also adds code to enforce the limits.

History

#1 - 2011-10-07 14:47 - Terence Mill

+1

#2 - 2011-11-16 12:35 - Roland Discein

+1

#3 - 2011-11-27 16:33 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from Improve logging in MailHandler to Improve logging in MailHandler when user creation fails

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed

r7952 improves user creation and log messages.

Note that it doesn't truncate email since it would result in an invalid email format (tld missing). We could change to a random email address in this

case but I don't think it makes sense. If the user creation still fails, wouldn't it be better to use the anonymous user instead of ignoring the incoming

email?

#4 - 2011-11-27 17:16 - Roland Discein

Nop, IMHO, it wouldn't be better. in my case, I ignore addr.name because of many users with quoted printable base64 encoded "From:" field, which

redmine can't decode to a valid firstname/lastname and also increased limits to 100 chars in user DB and model.

#5 - 2011-11-27 18:05 - Alex Shulgin

Jean-Philippe Lang wrote:

r7952 improves user creation and log messages.

Note that it doesn't truncate email since it would result in an invalid email format (tld missing). We could change to a random email address in

this case but I don't think it makes sense. If the user creation still fails, wouldn't it be better to use the anonymous user instead of ignoring the

incoming email?

 Makes sense to me.

Files

0001-Add-logging-to-create_user_from_email.-Force-limits-.patch 2.55 KB 2011-09-06 Alex Shulgin
